hwy::HWY_NAMESPACE::detail::TraitsLane< Order > Struct Template Reference

`#include <traits-inl.h>`

Inheritance diagram for hwy::HWY_NAMESPACE::detail::TraitsLane< Order >:

## Public Member Functions

template<typename T >
HWY_INLINE void | Swap (T *a, T *b) const
template<class D >
HWY_INLINE Vec< D > | SetKey (D d, const TFromD< D > *key) const

## Member Function Documentation

## SetKey()

template<class Order >
template<class D >

HWY_INLINE Vec< D > hwy::HWY_NAMESPACE::detail::TraitsLane< Order >::SetKey | ( | D | d,
|  | const TFromD< D > * | key
| ) |  | const

inline

References hwy::HWY_NAMESPACE::d, and hwy::HWY_NAMESPACE::Set().

## Swap()

template<class Order >
template<typename T >

HWY_INLINE void hwy::HWY_NAMESPACE::detail::TraitsLane< Order >::Swap | ( | T * | a,
|  | T * | b
| ) |  | const

inline

The documentation for this struct was generated from the following file:

- traits-inl.h